## javax.servlet.annotation
Enum ServletSecurity.TransportGuarantee

    java.lang.Object
      java.lang.Enum<ServletSecurity.TransportGuarantee>
          javax.servlet.annotation.ServletSecurity.TransportGuarantee

All Implemented Interfaces:
  Serializable, Comparable<ServletSecurity.TransportGuarantee>

Enclosing class:
  ServletSecurity

    public static enum ServletSecurity.TransportGuarantee

extends Enum<ServletSecurity.TransportGuarantee>

Defines the data protection requirements that must be satisfied by the transport

Enum Constant Summary
`CONFIDENTIAL` All user data must be encrypted by the transport (typically using SSL/TLS).
`NONE` no protection of user data must be performed by the transport.

Method Summary
`static ServletSecurity.TransportGuarantee` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ServletSecurity.TransportGuarantee[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ServletSecurity.TransportGuarantee NONE

  no protection of user data must be performed by the transport.

### CONFIDENTIAL

    public static final ServletSecurity.TransportGuarantee CONFIDENTIAL

  All user data must be encrypted by the transport (typically using SSL/TLS).

Method Detail

### values

    public static ServletSecurity.TransportGuarantee[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ServletSecurity.TransportGuarantee c : ServletSecurity.TransportGuarantee.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ServletSecurity.TransportGuarantee valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2012 GlassFish Community. All Rights Reserved.